AWS IoT Device SDK C++ v2: Aws::Crt::Http::AdaptiveHttpProxyStrategy Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Static Public Member Functions | List of all members
Aws::Crt::Http::AdaptiveHttpProxyStrategy Class Reference
Inheritance diagram for Aws::Crt::Http::AdaptiveHttpProxyStrategy:

## Public Member Functions
| AdaptiveHttpProxyStrategy (Allocator *allocator, const KerberosGetTokenFunction &kerberosGetToken, const KerberosGetTokenFunction &ntlmGetCredential, const NtlmGetTokenFunction &ntlmGetToken)
void | SetStrategy (struct aws_http_proxy_strategy *strategy)
Public Member Functions inherited from Aws::Crt::Http::HttpProxyStrategy
| HttpProxyStrategy (struct aws_http_proxy_strategy *strategy)
virtual | ~HttpProxyStrategy ()

## Static Public Member Functions
static struct aws_string * | NtlmGetCredential (void *user_data, int *error_code)
static struct aws_string * | KerberosGetToken (void *user_data, int *error_code)
static struct aws_string * | NtlmGetToken (void *user_data, const struct aws_byte_cursor *challenge_cursor, int *error_code)
Static Public Member Functions inherited from Aws::Crt::Http::HttpProxyStrategy
static std::shared_ptr< HttpProxyStrategy > | CreateBasicHttpProxyStrategy (const HttpProxyStrategyBasicAuthConfig &config, Allocator *allocator=g_allocator)
static std::shared_ptr< HttpProxyStrategy > | CreateAdaptiveHttpProxyStrategy (const HttpProxyStrategyAdaptiveConfig &config, Allocator *allocator=g_allocator)

## Additional Inherited Members
Protected Attributes inherited from Aws::Crt::Http::HttpProxyStrategy
struct aws_http_proxy_strategy * | m_strategy

## Constructor & Destructor Documentation

## ◆ AdaptiveHttpProxyStrategy()

Aws::Crt::Http::AdaptiveHttpProxyStrategy::AdaptiveHttpProxyStrategy | ( | Allocator * | allocator,
|  | const KerberosGetTokenFunction & | kerberosGetToken,
|  | const KerberosGetTokenFunction & | ntlmGetCredential,
|  | const NtlmGetTokenFunction & | ntlmGetToken
| ) |  |
| inline

## Member Function Documentation

## ◆ KerberosGetToken()

static struct aws_string * Aws::Crt::Http::AdaptiveHttpProxyStrategy::KerberosGetToken | ( | void * | user_data,
|  | int * | error_code
| ) |  |
| inlinestatic

## ◆ NtlmGetCredential()

static struct aws_string * Aws::Crt::Http::AdaptiveHttpProxyStrategy::NtlmGetCredential | ( | void * | user_data,
|  | int * | error_code
| ) |  |
| inlinestatic

## ◆ NtlmGetToken()

static struct aws_string * Aws::Crt::Http::AdaptiveHttpProxyStrategy::NtlmGetToken | ( | void * | user_data,
|  | const struct aws_byte_cursor * | challenge_cursor,
|  | int * | error_code
| ) |  |
| inlinestatic

## ◆ SetStrategy()

void Aws::Crt::Http::AdaptiveHttpProxyStrategy::SetStrategy | ( | struct aws_http_proxy_strategy * | strategy | ) |
| inline

The documentation for this class was generated from the following file:

- crt/aws-crt-cpp/source/http/HttpProxyStrategy.cpp